# Dioxus: Guias Avançados e Referência

![dioxuslogo](./images/dioxuslogo_full.png)

**Dioxus** é um framework e ecossistema para desenvolver interfaces rápidas, escaláveis e robustas com a linguagem de Programação Rust. Este guia irá ajudar você a começar com o Dioxus para Web, Desktop, Móvel e mais.

> Este livro é a Referência e Guias Avançados para o framework Dioxus. Para um tutorial em como de fato _usar_ o Dioxus, procure o [guia oficial](https://dioxuslabs.com/guide/en/).

## Guias e Referência

Com a referência nós procuramos manter a documentar a funcionalidade que pode não ter sido mencionada no guia oficial para manter uma carga de informação mínima. Alguns tópicos não estão inclusos pelo guia, mas discutidos nesta referência incluindo:

- Processo seguro (`ThreadSafe`) da `VirtualDOM`
- Abordagem complete sobre o uso do `rsx!` e funções inclusas
- Padrão `spread` para as propriedades dos componentes
- Testes
- Memoization à fundo
- Elementos personalizados
- Renderizadores personalizados

## Contribuindo

Se nesse documento estiver de algum forma confuso, contém erros de digitação ou você gostaria de ajudar a melhorar algo, sinta-se à vontade para fazer um PR no [repositório do Dioxus](https://github.com/DioxusLabs/dioxus/tree/master/docs/reference).

Todas as contribuições serão licenciadas sob a licença MIT/Apache2.
